"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const index$1 = require("../../../../../_virtual/index3.js");
const index = require("../../../is-arrayish@0.3.2/node_modules/is-arrayish/index.js");
var isArrayish = index.isArrayish;
var concat = Array.prototype.concat;
var slice = Array.prototype.slice;
var swizzle = index$1.__module.exports = function swizzle2(args) {
  var results = [];
  for (var i = 0, len = args.length; i < len; i++) {
    var arg = args[i];
    if (isArrayish(arg)) {
      results = concat.call(results, slice.call(arg));
    } else {
      results.push(arg);
    }
  }
  return results;
};
swizzle.wrap = function(fn) {
  return function() {
    return fn(swizzle(arguments));
  };
};
var simpleSwizzleExports = index$1.__module.exports;
exports.simpleSwizzleExports = simpleSwizzleExports;
